<?php
/*
	Plugin Name:			AtaraPay WooCommerce
	Plugin URI: 			https://plugins.atarapay.com/docs/woocommerce/
	Description:            WooCommerce payment plugin for AtaraPay
	Version:                1.0.0
	Author: 				AtaraPay
	Author URI: 			https://atarapay.com
	License:        		GPL-2.0+
	License URI:    		http://www.gnu.org/licenses/gpl-2.0.txt
	WC requires at least:   4.6.0
	WC tested up to:        5.3.0
*/

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'AT_WC_ATARA_MAIN_FILE', __FILE__ );

define( 'AT_WC_ATARA_URL', untrailingslashit( plugins_url( '/', __FILE__ ) ) );

define( 'AT_WC_ATARA_VERSION', '1.0.0' );

function at_wc_atara_init() {

	if ( ! class_exists( 'WC_Payment_Gateway' ) ) {
	   // add_action( 'admin_notices', 'at_wc_paystack_wc_missing_notice' );
		return;
	}

	require_once dirname( __FILE__ ) . '/includes/class-atara.php';

	require_once dirname( __FILE__ ) . '/includes/polyfill.php';

	add_filter( 'woocommerce_payment_gateways', 'at_wc_add_atara_gateway' );

}
add_action( 'plugins_loaded', 'at_wc_atara_init' );


/**
* Add Settings link to the plugin entry in the plugins menu
**/
function at_wc_atara_plugin_action_links( $links ) {

    $settings_link = array(
    	'settings' => '<a href="' . admin_url( 'admin.php?page=wc-settings&tab=checkout&section=at_atara' ) . '" title="View Settings">Settings</a>'
    );

    return array_merge( $settings_link, $links );

}
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'at_wc_atara_plugin_action_links' );


function at_wc_add_atara_gateway( $methods ) {


	$methods[] = 'At_WC_Atara_Gateway';
	return $methods;

}

/**
* Display the test mode notice
**/
function at_wc_atara_testmode_notice(){

	$settings = get_option( 'woocommerce_at_atara_settings' );

	$test_mode 	= isset( $settings['testmode'] ) ? $settings['testmode'] : '';

	if ( 'yes' == $test_mode ) {
    ?>
	    <div class="update-nag">
	        Atarapay testmode is still enabled, Click <a href="<?php echo admin_url( 'admin.php?page=wc-settings&tab=checkout&section=at_atara' ) ?>">here</a> to disable it when you want to start accepting live payment on your site.
	    </div>
    <?php
	}
}

/**
 * Display a notice if WooCommerce is not installed
 */
// function at_wc_paystack_wc_missing_notice() {
// 	echo '<div class="error"><p><strong>' . sprintf( __( 'AtaraPay requires WooCommerce to be installed and active. Click %s to install WooCommerce.', 'woo-atarapay' ), '<a href="' . admin_url( 'plugin-install.php?tab=plugin-information&plugin=woocommerce&TB_iframe=true&width=772&height=539' ) . '" class="thickbox open-plugin-details-modal">here</a>' ) . '</strong></p></div>';
// }
add_action( 'admin_notices', 'at_wc_atara_testmode_notice' );